/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.icesoft.support;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import java.util.Locale;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;

@ManagedBean(name = "localeBean")
@SessionScoped
public class LocaleBean implements Serializable {

    private Locale locale = new Locale("fr", "CH");

    public Locale getLocale() {
        return locale;
    }

    public String getLanguage() {
        return locale.getLanguage();
    }

    public void setLanguage(String language) {
        locale = new Locale(language, "CH");
        FacesContext.getCurrentInstance().getViewRoot().setLocale(locale);
    }

    public List<String> getSupportedLanguages() {
        return Arrays.asList("fr", "de", "it");
    }
}
